Description

cephadm doesn't care about exports. instead it simply sets up the daemons.

cephadm only creates an empty 'conf-{service-name}' RADOS object

the Q is now: how to set up an RGW export?

Related issues:

Related to Orchestrator - Feature #43686: cephadm: support rgw nfs Resolved

History

#1 - 07/03/2020 08:32 AM - Zac Dover

the building blocks are there: setting up ganesha, setting up the RADOS objects, https://docs.ceph.com/docs/master/radosgw/nfs/ .

#2 - 07/03/2020 08:32 AM - Sebastian Wagner

- Related to Feature #43686: cephadm: support rgw nfs added

#3 - 07/03/2020 08:35 AM - Zac Dover

- Assignee set to Zac Dover

#4 - 07/05/2020 08:44 AM - Zac Dover

- Subject changed from Document how to set up rgw-nfs with cephadm to Document "Using cephadm to set up rgw-nfs"

#5 - 02/11/2021 12:11 PM - Sebastian Wagner

- Priority changed from Normal to Low

thing is, I don't want users to use nfs-rgw. performance and usability is just poor.

#6 - 03/11/2021 11:49 AM - Sebastian Wagner

- Category changed from cephadm to cephadm/nfs

#7 - 08/12/2021 04:01 PM - Sage Weil

- Status changed from New to Resolved

https://docs.ceph.com/en/latest/mgr/nfs/#create-rgw-export
